diff -Nru auctex-11.88/debian/auctex.bug-script.eperl auctex-11.88/debian/auctex.bug-script.eperl
--- auctex-11.88/debian/auctex.bug-script.eperl	2014-11-01 17:57:29.000000000 +0100
+++ auctex-11.88/debian/auctex.bug-script.eperl	2016-11-19 14:48:10.000000000 +0100
@@ -34,7 +34,7 @@
 EOF
 
 <: # Default flavors: only GNU/Emacsen, XEmacs comes with its own AUCTeX :>//
-FLAVORS=${*:-"emacs23 emacs24 emacs-snapshot"}
+FLAVORS=${*:-"emacs23 emacs24 emacs25 emacs-snapshot"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff -Nru auctex-11.88/debian/auctex.emacsen-install.eperl auctex-11.88/debian/auctex.emacsen-install.eperl
--- auctex-11.88/debian/auctex.emacsen-install.eperl	2014-11-01 17:57:29.000000000 +0100
+++ auctex-11.88/debian/auctex.emacsen-install.eperl	2016-11-19 14:48:10.000000000 +0100
@@ -107,7 +107,7 @@
 case "${FLAVOR}" in
     (emacs)
 	;;
-    (emacs23|emacs24|emacs-snapshot)
+    (emacs23|emacs24|emacs25|emacs-snapshot)
 	do_install ${FLAVOR}
 	do_update_auctex_elisp ${FLAVOR}
 	;;
diff -Nru auctex-11.88/debian/auctex.emacsen-remove.eperl auctex-11.88/debian/auctex.emacsen-remove.eperl
--- auctex-11.88/debian/auctex.emacsen-remove.eperl	2014-11-01 17:57:29.000000000 +0100
+++ auctex-11.88/debian/auctex.emacsen-remove.eperl	2016-11-19 14:48:10.000000000 +0100
@@ -46,7 +46,7 @@
 case "${FLAVOR}" in
     (emacs)
 	;;
-    (emacs23|emacs24|emacs-snapshot)
+    (emacs23|emacs24|emacs25|emacs-snapshot)
 	undo_update_auctex_elisp
 	undo_install
 	;;
diff -Nru auctex-11.88/debian/auctex.emacsen-startup.eperl auctex-11.88/debian/auctex.emacsen-startup.eperl
--- auctex-11.88/debian/auctex.emacsen-startup.eperl	2014-11-01 17:57:29.000000000 +0100
+++ auctex-11.88/debian/auctex.emacsen-startup.eperl	2016-11-19 14:48:10.000000000 +0100
@@ -5,7 +5,7 @@
 ;;; form "(unload-feature 'tex-site)" (i.e., put that string into your
 ;;; "~/.emacs" to disable AUCTeX completely).
 
-(if (member debian-emacs-flavor '(emacs23 emacs24 emacs-snapshot))
+(if (member debian-emacs-flavor '(emacs23 emacs24 emacs25 emacs-snapshot))
 <: # skip if removed and not purged :>//
     (if (file-exists-p "/usr/share/emacs/site-lisp/auctex/tex.el")
 	(progn
diff -Nru auctex-11.88/debian/auctex.triggers auctex-11.88/debian/auctex.triggers
--- auctex-11.88/debian/auctex.triggers	2015-01-02 19:20:23.000000000 +0100
+++ auctex-11.88/debian/auctex.triggers	2016-11-19 14:48:10.000000000 +0100
@@ -2,4 +2,5 @@
 interest-noawait /usr/share/texlive/texmf-dist
 interest auctex-install-emacs23
 interest auctex-install-emacs24
+interest auctex-install-emacs25
 interest auctex-install-emacs-snapshot
diff -Nru auctex-11.88/debian/changelog auctex-11.88/debian/changelog
--- auctex-11.88/debian/changelog	2016-09-23 17:36:05.000000000 +0200
+++ auctex-11.88/debian/changelog	2016-11-20 15:27:30.000000000 +0100
@@ -1,3 +1,14 @@
+auctex (11.88-1.3) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * auctex support for emacs25, thanks to Dan Torop (Closes: #841123).
+  * update the Brazilian Portuguese Translation (Closes: #823367)
+    thanks to Diego Neves.
+  * Fix building with dpkg-buildpackage -A thanks to Santiago Vila
+    (Closes: #839579).
+
+ -- Rémi Vanicat <vanicat@debian.org>  Sun, 20 Nov 2016 15:27:30 +0100
+
 auctex (11.88-1.2) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru auctex-11.88/debian/control auctex-11.88/debian/control
--- auctex-11.88/debian/control	2016-09-23 17:36:05.000000000 +0200
+++ auctex-11.88/debian/control	2016-11-20 15:18:44.000000000 +0100
@@ -4,14 +4,14 @@
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.9.6
-Build-Depends-Indep: debhelper (>= 8), emacs24 | emacs23 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
+Build-Depends-Indep: debhelper (>= 8), emacs25 | emacs24 | emacs23 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
 Homepage: http://www.gnu.org/software/auctex/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/salve/auctex.git;a=summary
 Vcs-Git: git://anonscm.debian.org/users/salve/auctex.git
 
 Package: auctex
 Architecture: all
-Depends: emacs24 | emacs23 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
+Depends: emacs25 | emacs24 | emacs23 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
 Recommends: ghostscript, texlive-latex-recommended, xpdf | evince | evince-gtk | okular
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)
diff -Nru auctex-11.88/debian/po/pt_BR.po auctex-11.88/debian/po/pt_BR.po
--- auctex-11.88/debian/po/pt_BR.po	2014-11-01 17:57:29.000000000 +0100
+++ auctex-11.88/debian/po/pt_BR.po	2016-11-19 14:48:10.000000000 +0100
@@ -8,19 +8,21 @@
 #
 # Paulo R. Ormenese <pormenese@uol.com.br>, 2002
 # André Luís Lopes <andrelop@debian.org>, 2007
+# Diego Neves <diego@diegoneves.eti.br>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: auctex\n"
 "Report-Msgid-Bugs-To: auctex@packages.debian.org\n"
 "POT-Creation-Date: 2012-01-02 02:04+0100\n"
-"PO-Revision-Date: 2011-06-22 00:33+0200\n"
-"Last-Translator: André Luís Lopes <dndrelop@debian.org>\n"
-"Language-Team: Debian-BR Project <debian-l10n-portuguese@lists.debian.org>\n"
+"PO-Revision-Date: 2016-02-24 23:02-0300\n"
+"Last-Translator: Diego Neves <diego@diegoneves.eti.br>\n"
+"Language-Team: Brazilian Portuguese <debian-l10n-portuguese@lists.debian."
+"org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"pt_BR utf8\n"
+"X-Generator: Poedit 1.8.7\n"
 
 #. Type: select
 #. Choices
@@ -49,68 +51,47 @@
 #. Type: select
 #. Description
 #: ../auctex.templates:1002
-#, fuzzy
-#| msgid ""
-#| "To greatly improve AUCTeX performances, every TeX macro package and LaTeX "
-#| "style file currently installed at your site will be parsed."
 msgid ""
 "To improve the performance of AUCTeX, every currently installed TeX macro "
 "package and LaTeX style file will be parsed."
 msgstr ""
-"Para melhorar enormemente a performance de AUCTeX, todo pacote de macro TeX "
-"e arquivo de estilo LaTeX instalados atualmente em seu sistema serão "
-"interpretados."
+"Para melhorar o desempenho do AUCTeX, será analisado cada arquivo de estilo "
+"do LaTeX e de pacote de macro TeX atualmente instalado."
 
 #. Type: select
 #. Description
 #. Translators: do NOT translate ${LOGFILE}
 #: ../auctex.templates:1002
-#, fuzzy
-#| msgid ""
-#| "This may take a lot of time, so it should be probably done in the "
-#| "background; however you may also choose to have it done in the "
-#| "foreground, or to skip the parsing at all instead.  If you choose "
-#| "Background, you will find a detailed log of the process in the file: "
-#| "${LOGFILE}."
 msgid ""
 "This may take a lot of time, so it should probably be done in the "
 "background.  You may also choose to have it done in the foreground, or to "
 "skip that step."
 msgstr ""
-"Isso pode consumir um bom tempo, então pode ser feito provavelmente em "
-"segundo plano; entretanto, você pode optar por ter isso feito em primeiro "
-"plano, ou ao invés disso pular o processo de interpretação. Caso você optar "
-"por fazer a interpretação em segundo plano, encontrará um log detalhado do "
-"processo no arquivo: ${LOGFILE}."
+"Isso pode demorar muito tempo, por isso provavelmente deve ser feito em "
+"segundo plano. Você também pode optar por fazer em primeiro plano, ou pular "
+"esta etapa."
 
 #. Type: select
 #. Description
 #: ../auctex.templates:1002
-#, fuzzy
-#| msgid ""
-#| "A weekly cron job will also take care of updating the data collected now, "
-#| "so usually you won't need to worry about them whenever you install new "
-#| "(La)TeX packages or remove old ones."
 msgid ""
 "The cached data gets automatically updated via dpkg triggers, so that no "
 "specific action is required whenever you install new (La)TeX packages or "
 "remove old ones."
 msgstr ""
-"Um trabalho semanal do cron também tomará o cuidado de atualizar as "
-"informações obtidas agora, então você normalmente não precisará preocupar-se "
-"com elas mesmo quando instalar novos pacotes (La)TeX ou remover antigos."
+"Os dados em cache serão atualizados automaticamente via gatilhos do dpkg, de "
+"modo que não é necessária nenhuma ação específica para instalar ou remover "
+"pacotes (La)TeX."
 
 #. Type: select
 #. Description
 #: ../auctex.templates:1002
-#, fuzzy
-#| msgid "Anyway, you can update them by hand running update-auctex-elisp."
 msgid ""
 "This update can be run manually at any moment by running 'update-auctex-"
 "elisp'."
 msgstr ""
-"De qualquer forma, você pode atualizá-las manualmente executando update-"
-"auctex-elisp."
+"Esta atualização pode ser executada manualmente a qualquer momento, "
+"executando \"update-auctex elisp\"."
 
 #~ msgid "Console"
 #~ msgstr "Console"
diff -Nru auctex-11.88/debian/rules auctex-11.88/debian/rules
--- auctex-11.88/debian/rules	2014-11-01 22:57:20.000000000 +0100
+++ auctex-11.88/debian/rules	2016-11-20 15:22:39.000000000 +0100
@@ -31,15 +31,15 @@
 		debian/auctex.templates.dcobj \
 		debian/clean > debian/clean
 
+%:
+	dh $@ --exclude .eperl --with tex
+
 %:: %.eperl
 	eperl -P -o $@ $<
 
-build: debian/clean
-	dh $@ --exclude .eperl --with tex
-
 ELCC := $(shell pwd)/debian/elcc
 .PHONY: override_dh_auto_build
-override_dh_auto_build:
+override_dh_auto_build: debian/elcc debian/clean
 	chmod a+x debian/elcc
 	$(MAKE) ELCC=$(ELCC)
 	rm --force auto-loads.el
diff -Nru auctex-11.88/debian/rules.eperl auctex-11.88/debian/rules.eperl
--- auctex-11.88/debian/rules.eperl	2014-11-01 22:57:20.000000000 +0100
+++ auctex-11.88/debian/rules.eperl	2016-11-20 15:22:38.000000000 +0100
@@ -24,14 +24,14 @@
 %:: %.eperl
 	eperl -P -o $@ $<
 
-build: debian/clean
+%:
 	dh $@ --exclude .eperl --with tex
 
 <: # Debian Emacs policy requires to byte-compile at installation time;
    # debian/elcc simulates Emacs byte compilation touching empty elcs. :>//
 ELCC := $(shell pwd)/debian/elcc
 .PHONY: override_dh_auto_build
-override_dh_auto_build:
+override_dh_auto_build: debian/elcc debian/clean
 	chmod a+x debian/elcc
 	$(MAKE) ELCC=$(ELCC)
 <: #    auto-loads.el needs to be byte-compiled for real :>//
diff -Nru auctex-11.88/debian/update-auctex-elisp.eperl auctex-11.88/debian/update-auctex-elisp.eperl
--- auctex-11.88/debian/update-auctex-elisp.eperl	2014-11-01 17:57:29.000000000 +0100
+++ auctex-11.88/debian/update-auctex-elisp.eperl	2016-11-19 14:48:10.000000000 +0100
@@ -44,7 +44,7 @@
     esac
 done
 <: # Default flavors: only GNU, XEmacs comes with its own AUCTeX :>//
-FLAVORS=${*:-'emacs23 emacs24 emacs-snapshot'}
+FLAVORS=${*:-'emacs23 emacs24 emacs25 emacs-snapshot'}
 LOGMASK='/var/lib/auctex/%s/CompilationLog'
 
 if [ -n "${_UPDATE_AUCTEX_ELISP_DAEMON_MODE}" ]; then
